Bug 1277720 - igb reset adapter [NEEDINFO]
igb reset adapter
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 17:33 EST by Aigars Krjanins
Modified: 2016-12-05 11:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:53:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (aigars)


Attachments (Terms of Use)
Working dmesg | more (150.27 KB, text/plain)
2015-11-04 13:45 EST, Aigars Krjanins
no flags Details
NOT working dmesg - adapter keeps resetting. (122.18 KB, text/plain)
2015-11-05 16:53 EST, Aigars Krjanins
no flags Details
NOT working dmesg - adapter keeps resetting. (153.15 KB, text/plain)
2015-11-07 09:22 EST, Aigars Krjanins
no flags Details

  None (edit)
Description Aigars Krjanins 2015-11-03 17:33:03 EST
Description of problem:

VMware ESXI 6 with Intel I350 adapter fails to work after loading newer version of kernel.

Log displays error message: 

NetworkManager[697]: <info>  (eth2): link disconnected (deferring action for 4 seconds)
kernel: igb 0000:13:00.0 eth2: Reset adapter
NetworkManager[697]: <info>  (eth2): link disconnected (calling deferred action)
NetworkManager[697]: <info>  (eth2): device state change: activated -> unavailable (reason 'carrier-changed') [100 20 40]
kernel: igb 0000:13:00.0 eth2: igb: eth2 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX



Version-Release number of selected component (if applicable):

Affected kernels:
Kernel 4.2.3-300.fc23.x86_64
Kernel 4.2.3-200.fc22.x86_64

Last good kernel:
Kernel 4.1.10-200.fc22.x86_64

How reproducible:


Steps to Reproduce:
1. Boot to affected kernel.
2.
3.

Actual results:

Non working NIC

Expected results:

Working NIC

Additional info:
Comment 1 Josh Boyer 2015-11-03 17:41:41 EST
Please attach the full output of dmesg from both a working and non-working boot.
Comment 2 Aigars Krjanins 2015-11-04 13:45 EST
Created attachment 1089827 [details]
Working dmesg | more
Comment 3 Aigars Krjanins 2015-11-04 13:50:48 EST
I will add non-working when I can.
Comment 4 Aigars Krjanins 2015-11-05 16:53 EST
Created attachment 1090401 [details]
NOT working dmesg - adapter keeps resetting.
Comment 5 Aigars Krjanins 2015-11-06 02:23:53 EST
Kernel 4.2.5-300.fc23.x86_64 not working.
Comment 6 Aigars Krjanins 2015-11-07 09:22 EST
Created attachment 1090973 [details]
NOT working dmesg - adapter keeps resetting.
Comment 7 Aigars Krjanins 2015-11-22 08:53:02 EST
Kernel 4.2.6-300.fc23.x86_64 not working as well.
Comment 8 Aigars Krjanins 2015-12-22 03:37:18 EST
Kernel 4.2.7-300.fc23.x86_64 not working as well.
Comment 9 Laura Abbott 2016-09-23 15:43:13 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 10 Laura Abbott 2016-10-26 12:53:34 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.